Bug 144585 - radvd and dhcpv6 dows not agree on the prefixes
radvd and dhcpv6 dows not agree on the prefixes
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dhcpv6 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
http://sourceforge.net/mailarchive/fo...
:
Depends On:
Blocks: 166508
  Show dependency treegraph
 
Reported: 2005-01-08 16:19 EST by Ola Thoresen
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-04 19:54:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ola Thoresen 2005-01-08 16:19:16 EST
Description of problem:
(Just copying from the link)

"I manage to get the prefix for the client router which i saw from the 
 debug message, but I didn"t see any modification done to /etc/radvd.conf 
 by the dhcp6c program. I suppose it should modify the range of the 
 available IP addresses according to the assigned prefix." 


Version-Release number of selected component (if applicable):
dhcpv6-0.10-9

How reproducible:
Always

Steps to Reproduce:
1. Set up dhcpv6 with correct prefix
2. restart dhcpv6 (server) and radvd
3. start dhcp6c on a client to get address
  
Actual results:
radvd will give you different prefixes than dhcp6

Expected results:
radvd and dhcp6 should agree on what to give the clients

Additional info:
There is also a patch provided on the url mentioned:
 in line 116 of radvd_token.l, 
 
     (before) : if (!strcmp(yytext, dhcp6_if->ifname))
 
     (after)  : if (strcmp(yytext, dhcp6_if->ifname))
Comment 1 Jason Vas Dias 2005-01-10 17:25:53 EST
This is now fixed, in version dhcpv6_client-0.10-10 .

Only if radvd.conf already contains an 
    interface ethX { ... } ;
definition, and dhcp6c gets a prefix lease, then dhcp6c will write
the 'prefix' statement to the existing interface definition, such as:
interface eth0 {
# update prefix from DHCPv6 server
        prefix fec0:0:0:1::/64 {};
};
and will restart radvd IF it is already running .

dhcpv6-0.10-10 will be in tomorrow's FC4/rawhide release .

Note You need to log in before you can comment on or make changes to this bug.